import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Main } from 'src/app/models/main.model';
import { MainService } from 'src/app/services/main.service';
import { MainDetailsComponent} from 'src/app/components/main-details/main-details.component';


@Component({
  selector: 'app-main-list',
  providers: [MainDetailsComponent],
  templateUrl: './main-list.component.html',
  styleUrls: ['./main-list.component.scss']
})
export class MainListComponent implements OnInit {
  mains?: Main[];

  constructor(
    private mainService: MainService,
    private mainDetails: MainDetailsComponent,
    private route: ActivatedRoute,
    private router: Router) { }

  ngOnInit(): void {
    this.getAllMain(this.route.snapshot.params.id);
  }


  getAllMain(id: string): void {
    this.mainService.getAll(id)
      .subscribe(
        data => {
          MainDetailsComponent.id.length =0;
          this.mains = data;
          for (var val of data) {
            //this.mainDetails.getMain(id, val.id);
            MainDetailsComponent.id.push(val.id);
          }
        },
        error => {
          console.log(error);
        });
  }

}
